## python-rdflib-endpoint 0.5.1

=== example/requirements.txt ===
rdflib-endpoint@git+https://github.com/vemonet/rdflib-endpoint@main

=== debian/changelog ===
python-rdflib-endpoint (0.5.1-2) unstable; urgency=medium

  * Source-only upload to allow migration.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Aug 2024 11:37:52 +0200

python-rdflib-endpoint (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #1078517)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Aug 2024 22:20:27 +0200

=== debian/control ===
Source: python-rdflib-endpoint
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click <!nocheck>,
 python3-fastapi <!nocheck>,
 python3-hatchling,
 python3-httpx <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rdflib <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rdflib-endpoint.git
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rdflib-endpoint.git
Homepage: https://github.com/vemonet/rdflib-endpoint

Package: python3-rdflib-endpoint
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: SPARQL endpoint for RDFLib
 rdflib-endpoint is a SPARQL endpoint based on RDFLib to easily
 serve RDF files locally, machine learning models,
 or any other logic implemented in Python via custom SPARQL functions.

Package: rdflib-endpoint
Architecture: all
Depends: python3,
         python3-rdflib-endpoint,
         ${python3:Depends},
         ${misc:Depends},
Description: SPARQL endpoint for RDFLib - command line tool
 rdflib-endpoint is a SPARQL endpoint based on RDFLib to easily
 serve RDF files locally, machine learning models,
 or any other logic implemented in Python via custom SPARQL functions.
 .
 This is the command-line tool.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_BEFORE_TEST=cp -r {dir}/example/ {build_dir}
export PYBUILD_TEST_ARGS=-k 'not test_convert_oxigraph and not test_serve_oxigraph'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/example/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rdflib-endpoint-$1.tar.gz%" \
   https://github.com/vemonet/rdflib-endpoint/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-rdflib-endpoint 0.5.4

=== debian/changelog ===
python-rdflib-endpoint (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4 (Closes: #1123305)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is now the default
  * Add debian/salsa-ci.yml
  * Translate debian/watch in v5 format
  * Add a patch to disable useless pytest-coverage

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Dec 2025 17:06:29 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,8 @@
  python3-hatchling,
  python3-httpx <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pytest-cov <!nocheck>,
  python3-rdflib <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rdflib-endpoint.git
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rdflib-endpoint.git
 Homepage: https://github.com/vemonet/rdflib-endpoint

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_BEFORE_TEST=cp -r {dir}/example/ {build_dir}
export PYBUILD_TEST_ARGS=-k 'not test_convert_oxigraph and not test_serve_oxigraph and not test_convert'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/example/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: vemonet
Project: rdflib-endpoint
